"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowUrl = void 0;
class WindowUrl {
    static parseParams(url) {
        const urlObject = new URL(url);
        return urlObject.searchParams;
    }
    static getQueryString(params) {
        const _params = [];
        params.forEach((value, key) => {
            _params.push(`${key}=${value}`);
        });
        return `?${_params.join('&')}`;
    }
    static replaceQueryParams(url, params) {
        const fullHost = url.split('?')[0];
        const unescapedQueryParams = WindowUrl.getQueryString(params);
        return encodeURIComponent(`${fullHost}${unescapedQueryParams}`);
    }
    static createWebappUrl(localRendererUrl, customBackendUrl) {
        const localFileParams = WindowUrl.parseParams(localRendererUrl);
        const envUrlParams = WindowUrl.parseParams(localFileParams.get('env'));
        const customBackendUrlParams = WindowUrl.parseParams(customBackendUrl);
        const mergedParams = envUrlParams;
        customBackendUrlParams.forEach((value, key) => {
            mergedParams.set(key, value);
        });
        const newEnvUrl = WindowUrl.replaceQueryParams(customBackendUrl, mergedParams);
        return newEnvUrl;
    }
}
exports.WindowUrl = WindowUrl;
//# sourceMappingURL=WindowUrl.js.map