"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowUtil = void 0;
const electron_1 = require("electron");
const pointInRectangle = (point, rectangle) => {
    const [x, y] = point;
    const xInRange = x >= rectangle.x && x <= rectangle.x + rectangle.width;
    const yInRange = y >= rectangle.y && y <= rectangle.y + rectangle.height;
    return xInRange && yInRange;
};
const isInView = (win) => {
    const windowBounds = win.getBounds();
    const nearestWorkArea = electron_1.screen.getDisplayMatching(windowBounds).workArea;
    const upperLeftVisible = pointInRectangle([windowBounds.x, windowBounds.y], nearestWorkArea);
    const lowerRightVisible = pointInRectangle([windowBounds.x + windowBounds.width, windowBounds.y + windowBounds.height], nearestWorkArea);
    return upperLeftVisible || lowerRightVisible;
};
exports.WindowUtil = { isInView, pointInRectangle };
//# sourceMappingURL=WindowUtil.js.map